KLA11650
Multiple vulnerabilities in Apple iCloud
Updated: 03/13/2020
Detect date
?
01/28/2020
Severity
?
Warning
Description

Multiple vulnerabilities were found in Apple iCloud. Malicious users can exploit these vulnerabilities to execute arbitrary code, cause denial of service, perform cross-site scripting attack, bypass security restrictions.

Below is a complete list of vulnerabilities:

  1. Multiple memory corruption vulnerabilities in WebKit can be exploited to execute arbitrary code.
  2. A buffer overflow vulnerability in libxml2 can be exploited to execute arbitrary code.
  3. An out-of-bounds vulnerability in ImageIO can be exploited to execute arbitrary code.
  4. Multiple memory corruption vulnerabilities in WebKit Page Loading can be exploited to execute arbitrary code.
  5. A logic vulnerability in WebKit can be exploited to perform cross-site scripting attacks.
  6. A memory handling vulnerability in WebKit can be exploited to cause a denial of service
  7. The HTTP referrer header vulnerability in WebKit can be exploited to obtain sensitive information.
  8. A DOM object context vulnerability in WebKit Page Loading can be exploited to bypass security restrictions.
Affected products

Apple iCloud earlier than 7.17
Apple iCloud earlier than 10.9.2

Solution

Update to the latest version
Download iCloud

Original advisories

HT210948
HT210947

Impacts
?
ACE 
[?]

DoS 
[?]

SB 
[?]

XSS/CSS 
[?]
Related products
Apple iCloud
CVE-IDS
?
CVE-2020-38680.0Unknown
CVE-2020-38460.0Unknown
CVE-2020-38260.0Unknown
CVE-2020-38650.0Unknown
CVE-2020-38250.0Unknown
CVE-2020-38670.0Unknown
CVE-2020-38620.0Unknown
CVE-2019-88270.0Unknown
CVE-2020-38640.0Unknown